using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

/*
 * **************************************************
 ***  Virtual Machine Remote Client (VMRC) Test App
 * **************************************************
 * Anil Desai, 2006
 * (For more information, see http://AnilDesai.net or e-mail Anil@AnilDesai.net)
 * 
 * Notes:  This application is provided as a simple example of various
 *          Virtual Server automation methods.  This code is provided for
 *          demonstratin purposes only.  It does not include any error-handling
 *          and has not been tested for production usage.
 * 
 * */

namespace VMRCTestApp
{
    public partial class frmVMRCClient : Form
    {
        public frmVMRCClient()
        {
            InitializeComponent();
        }

        private void btnConnect_Click(object sender, EventArgs e)
        {
            axVMRCClient.ServerAddress = "vmrc://kerby:5900";
            axVMRCClient.Connect();
        }

        private void btnAbout_Click(object sender, EventArgs e)
        {
            axVMRCClient.AboutBox();
        }

        private void btnConnectionInfo_Click(object sender, EventArgs e)
        {
            axVMRCClient.ShowConnectionInfo();
        }

        private void btnShowProperties_Click(object sender, EventArgs e)
        {
            axVMRCClient.ShowPropertyPages();
        }

        private void btnDisconnect_Click(object sender, EventArgs e)
        {
            axVMRCClient.Disconnect();
        }
    }
}